# Uses of Enum
org.apache.sling.feature.extension.apiregions.api.config.Mode

Packages that use Mode
Package
Description
org.apache.sling.feature.extension.apiregions.api.config
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of Mode in org.apache.sling.feature.extension.apiregions.api.config

Methods in org.apache.sling.feature.extension.apiregions.api.config that return Mode
Modifier and Type
Method
Description
`Mode`
FactoryConfigurationDescription.`getInternalMode()`
Get the internal mode
`Mode`
PropertyDescription.`getInternalMode()`
Get the internal mode.
`Mode`
ConfigurableEntity.`getMode()`
Get the validation mode.
`Mode`
ConfigurationApi.`getMode()`
Get the validation mode.
`Mode`
PropertyDescription.`getMode()`
Get the validation mode.
`static Mode`
Mode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Mode[]`
Mode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.feature.extension.apiregions.api.config with parameters of type Mode
Modifier and Type
Method
Description
`void`
FactoryConfigurationDescription.`setInternalMode(Mode internalMode)`
Set the internal mode
`void`
PropertyDescription.`setInternalMode(Mode value)`
Set the internal mode
`void`
ConfigurableEntity.`setMode(Mode value)`
Set the validation mode
`void`
ConfigurationApi.`setMode(Mode value)`
Set the validation mode
`void`
PropertyDescription.`setMode(Mode value)`
Set the validation mode

## Uses of Mode in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation with parameters of type Mode
Modifier and Type
Method
Description
`ConfigurationValidationResult`
ConfigurationValidator.`validate(org.apache.sling.feature.Configuration config, ConfigurableEntity desc, Region region, Mode mode)`
Validate a configuration
`PropertyValidationResult`
PropertyValidator.`validate(Object value, PropertyDescription desc, Mode mode)`
Validate the value against the property definition